- Qt 6.12
- Qt Graphs
- C++ Classes
- QtGraphs
- QGraphsLine
- Qt Graphs | Commercial or GPLv3

# QGraphsLine Class

The QGraphsLine class encapsulates properties of lines on a graph. More...

Header: | `#include <QGraphsLine>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Graphs)` `target_link_libraries(mytarget PRIVATE Qt6::Graphs)`
qmake: | `QT += graphs`
In QML: | graphsline

- List of all members, including inherited members

## Properties

labelTextColor : QColor mainColor : QColor mainWidth : qreal | subColor : QColor subWidth : qreal

## Public Functions

| QGraphsLine(QGraphsLine &&other)
QColor | labelTextColor() const
QColor | mainColor() const
qreal | mainWidth() const
void | setLabelTextColor(QColor newColor)
void | setMainColor(QColor newColor)
void | setMainWidth(qreal newWidth)
void | setSubColor(QColor newColor)
void | setSubWidth(qreal newWidth)
QColor | subColor() const
qreal | subWidth() const
void | swap(QGraphsLine &other)
QGraphsLine & | operator=(QGraphsLine &&other)

## Detailed Description

## Property Documentation

### labelTextColor : QColor

The color of the axis label text. If not set explicitly, the value is determined by the theme.

Access functions:

QColor | labelTextColor() const
void | setLabelTextColor(QColor newColor)

### mainColor : QColor

The color of the main grid or axis lines. If not set explicitly, the value is determined by the theme.

Access functions:

QColor | mainColor() const
void | setMainColor(QColor newColor)

### mainWidth : qreal

The width of the main grid or axis lines in pixels.

Access functions:

qreal | mainWidth() const
void | setMainWidth(qreal newWidth)

### subColor : QColor

The color of the sub grid or axis lines. If not set explicitly, the value is determined by the theme.

Access functions:

QColor | subColor() const
void | setSubColor(QColor newColor)

### subWidth : qreal

The width of the sub grid or axis lines in pixels.

Access functions:

qreal | subWidth() const
void | setSubWidth(qreal newWidth)

## Member Function Documentation

### `[constexpr noexcept default]` QGraphsLine::QGraphsLine(QGraphsLine &&other)

Move-constructs a new QGraphsLine from other.

Note: The moved-from object other is placed in a partially-formed state, in which the only valid operations are destruction and assignment of a new value.

### `[noexcept]` void QGraphsLine::swap(QGraphsLine &other)

Swaps QGraphsLine other with this QGraphsLine. This operation is very fast and never fails.

### `[noexcept]` QGraphsLine &QGraphsLine::operator=(QGraphsLine &&other)

Move-assigns other to this QGraphsLine instance.

Note: The moved-from object other is placed in a partially-formed state, in which the only valid operations are destruction and assignment of a new value.